%global pypi_name PyQt-builder
%global srcname PyQt-builder
%global lcname pyqt-builder

Name:           python-%lcname
Version:        1.12.2
Release:        %mkrel 1
Summary:        The PEP 517 compliant PyQt build system
Group:          Development/Python
License:        GPLv2 or GPLv3
URL:            https://www.riverbankcomputing.com/software/pyqt/
Source0:        %{srcname}-%{version}.tar.xz
BuildArch:      noarch

%description
PyQt-builder is the PEP 517 compliant build system for PyQt and projects that
extend PyQt. It extends the sip build system and uses Qt's qmake to perform the
actual compilation and installation of extension modules.Projects that use
PyQt- builder provide an appropriate pyproject.toml file and an optional
project.py.

%package -n	python3-%lcname
Summary:	Python package to handle CHM files
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-chm}

%description -n	python3-%{lcname}
The chm package provides three modules, chm, chmlib and extra,
which provide access to the API implemented by the C library
chmlib and some additional classes and functions. They are
used to access MS-ITSS encoded files - Compressed Html Help
files (.chm).

%prep
%setup -qn %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
# These dll files are from openssl and microsoft visiual studio
# While we can redistribute them, we don't have source and it's
# unlikely anyone will want to bundle a windows executable from linux.
rm -rf %{buildroot}/%{python3_sitelib}/pyqtbuild/bundle/dlls

%files -n python3-%lcname
%doc LICENSE-GPL2 LICENSE-GPL3
%{_bindir}/pyqt-bundle
%{_bindir}/pyqt-qt-wheel
%{python3_sitelib}/pyqtbuild
%{python3_sitelib}/PyQt_builder-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Mar 06 2022 TerryN <terryn94 at gmail.com> 1.12.2-1pclos2022
- import for python 3.10

